POST
/v1/mgmt/outbound/app/user/oauthtoken/uploadAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
appId?string
userId?string
tenantId?string
refreshToken?string
accessToken?string
accessTokenExpiry?integer
Format
int32accessTokenType?string
scopes?array<string>
string
externalIdentifier?string
idToken?string
verifyRefresh?boolean
grantedBy?string
Upload (migrate) an existing OAuth token for a user on an OAuth-type outbound application, using a valid management key. Used to import tokens that were previously managed outside of Descope without requiring users to re-run the OAuth flow.
curl -X POST "https://api.descope.com/v1/mgmt/outbound/app/user/oauthtoken/upload" \ -H "Content-Type: application/json" \ -d '{}'{}export interface Response {} Was this helpful?